Subject: bug#71226: ‘guix shell -C’ doesn’t work on Ubuntu 24.04

From: Ludovic Courtès <[email-masked]>
Date: Fri, 04 Jul 2025 09:29:49 +0200

Hello,

"nomike (they/them)" <[email-masked]> writes:

> I've just filed a patch to the apparmor package maintainers for adding
> a guix profile to their package:
>
> https://bugs.launchpad.net/ubuntu/+source/apparmor/+bug/2111753
>
> Was quite a challenge to figure out how to do this, at least compared
> to what I'm used to with guix...

Nice, thanks nomike and Liliana for working on this!

While you’re at it, could you propose the relevant AppArmor profile for
inclusion in Guix proper?  It would be ideal if ‘etc/guix-install.sh’
would install it automatically on systems where AppArmor is enabled,
similar to how it handles SELinux.

Thanks,
Ludo’.